TXManagerCancelledException (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.distributed

## Class TXManagerCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.CancelException
            - - org.apache.geode.distributed.TXManagerCancelledException

- All Implemented Interfaces:
    Serializable

      public class TXManagerCancelledException
      extends CancelException

  Thrown when a GemFire transaction manager has been terminated.
  Since:
    GemFire 6.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TXManagerCancelledException()`
    `TXManagerCancelledException(String s)`
    `TXManagerCancelledException(String message, Throwable cause)`
    `TXManagerCancelledException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TXManagerCancelledException

          public TXManagerCancelledException()

    - #### TXManagerCancelledException

          public TXManagerCancelledException(String message,
                                             Throwable cause)

    - #### TXManagerCancelledException

          public TXManagerCancelledException(Throwable cause)

    - #### TXManagerCancelledException

          public TXManagerCancelledException(String s)